summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author William Waites <william.waites@strath.ac.uk>2022-11-05 10:31:21 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-11-05 21:15:14 +0700
commite4758e9e94ae0a8ee52f60ed971c45c11fbd5183 (patch)
tree117520ee997ec2df2887a78527174dfe0d2cb1ae /office
parent047ee1b7e27f96f01615142584a56020fb490e12 (diff)
downloadslackbuilds-e4758e9e94ae0a8ee52f60ed971c45c11fbd5183.tar.gz
slackbuilds-e4758e9e94ae0a8ee52f60ed971c45c11fbd5183.tar.xz
office/alegreya: Added (Alegreya fonts with LaTeX support)
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/alegreya/README9
-rw-r--r--office/alegreya/alegreya.SlackBuild72
-rw-r--r--office/alegreya/alegreya.info10
-rw-r--r--office/alegreya/doinst.sh10
-rw-r--r--office/alegreya/slack-desc19
5 files changed, 120 insertions, 0 deletions
diff --git a/office/alegreya/README b/office/alegreya/README
new file mode 100644
index 0000000000..e7364fecc4
--- /dev/null
+++ b/office/alegreya/README
@@ -0,0 +1,9 @@
+alegreya – Alegreya fonts with LaTeX support
+
+The Alegreya fonts are designed by Juan Pablo del Peral for Huerta
+Tipográfica. Alegreya is a typeface originally intended for
+literature. It conveys a dynamic and varied rhythm which facilitates
+the reading of long texts. The italic has just as much care and
+attention to detail in the design as the roman. Bold, black, small
+caps and five number styles are available.
+
diff --git a/office/alegreya/alegreya.SlackBuild b/office/alegreya/alegreya.SlackBuild
new file mode 100644
index 0000000000..ad12ce65fb
--- /dev/null
+++ b/office/alegreya/alegreya.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/bash
+
+# Slackware build script for alegreya
+
+# Copyright 2022 William Waites <william.waites@strath.ac.uk>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=alegreya
+VERSION=${VERSION:-2022.09.14}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+TEX=/usr/share/texmf-var
+
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/$TEX $OUTPUT
+
+cd $PKG/$TEX
+unzip $CWD/$PRGNAM.tds.zip
+chown -R root:root .
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/office/alegreya/alegreya.info b/office/alegreya/alegreya.info
new file mode 100644
index 0000000000..7a8b56f539
--- /dev/null
+++ b/office/alegreya/alegreya.info
@@ -0,0 +1,10 @@
+PRGNAM="alegreya"
+VERSION="2022.09.14"
+HOMEPAGE="http://www.google.com/fonts"
+DOWNLOAD="https://mirrors.ctan.org/install/fonts/alegreya.tds.zip"
+MD5SUM="fb2fa6be6384a4b303f26482cfe6a879"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="William Waites"
+EMAIL="william.waites@strath.ac.uk"
diff --git a/office/alegreya/doinst.sh b/office/alegreya/doinst.sh
new file mode 100644
index 0000000000..602755a6c8
--- /dev/null
+++ b/office/alegreya/doinst.sh
@@ -0,0 +1,10 @@
+## Add the font to LaTeX' font map if necessary
+## and update the path caches.
+
+UPDMAP=/usr/share/texmf-var/web2c/updmap.cfg
+if test ! -f $UPDMAP; then touch $UPDMAP; fi
+if ! grep -q '^Alegreya.map$' < $UPDMAP; then
+ echo "Map Alegreya.map" >> $UPDMAP
+fi
+updmap-sys
+texhash
diff --git a/office/alegreya/slack-desc b/office/alegreya/slack-desc
new file mode 100644
index 0000000000..a4fa17b80c
--- /dev/null
+++ b/office/alegreya/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+alegreya: alegreya (Alegreya fonts with LaTeX support)
+alegreya:
+alegreya:
+alegreya: The Alegreya fonts are designed by Juan Pablo del Peral for Huerta
+alegreya: Tipografica. Alegreya is a typeface originally intended for
+alegreya: literature. It conveys a dynamic and varied rhythm which facilitates
+alegreya: the reading of long texts. The italic has just as much care and
+alegreya: attention to detail in the design as the roman. Bold, black, small
+alegreya: caps and five number styles are available.
+alegreya:
+alegreya: